#!/bin/bash

#SBATCH --job-name=AMT-1_Annotate_NoRare     ## Name of the job.
#SBATCH -A AMARTINY_LAB     ## account to charge 
#SBATCH -p hugemem          ## partition/queue name
#SBATCH --nodes=1            ## (-N) number of nodes to use
#SBATCH --ntasks=1           ## (-n) number of tasks to launch
#SBATCH --cpus-per-task=12    ## number of cores the job needs
#SBATCH --tmp=10G           ## requesting 10 GB local scratch
#SBATCH --error=ngless_err/%x-%J.err 
#SBATCH --output=ngless_err/%x-%J.err
#SBATCH -t 3-00:00:00         ## day run time limit
#SBATCH --mail-type=FAIL,END

# This script annotates trimmed and QC'd paired and singleton fasta files with the GMGC Marine Database

newgrp amartiny_lab 

export TMPDIR=/tmp/$SLURM_JOBID   # set TMPDIR to be /tmp/yourJOBID

mkdir -p $TMPDIR                  # create TMPDIR

# Activate conda environment

source ~/.bashrc

conda activate ngless

cd /pub/larkinsa/

ngless -j 12 --strict-threads --trace -t $TMPDIR --subsample gmgc_annotate_amt-one-norare.ngl 

## -t /pub/larkinsa/ngless-temp-out/ 

rm -rf $TMPDIR

conda deactivate
